Bug 1910220 - qemu-ga service still active and can work after qemu-guest-agent been removed
Summary: qemu-ga service still active and can work after qemu-guest-agent been removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: qemu-kvm
Version: 8.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.4
Assignee: Marc-Andre Lureau
QA Contact: dehanmeng
URL:
Whiteboard:
Depends On: 1882719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-23 07:53 UTC by dehanmeng
Modified: 2021-05-18 15:23 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-4.2.0-40.module+el8.4.0+9278+dd53883d
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1882719
Environment:
Last Closed: 2021-05-18 15:22:59 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 6 dehanmeng 2021-01-05 09:23:49 UTC
Reproduce with version :
qemu-kvm-4.2.0-38.module+el8.4.0+9133+5346b06d
RHEL-8.4.0-20201229.n.0 BaseOS x86_64

Steps to Reproduce:
1.Boot rhel840 guest successfully.
2.check qemu-guest-agent service
● qemu-guest-agent.service - QEMU Guest Agent
   Loaded: loaded (/usr/lib/systemd/system/qemu-guest-agent.service; disabled; vendor preset: enabled)
   Active: active (running) since Thu 2020-12-22 15:57:08 CST; 22min ago
 Main PID: 905 (qemu-ga)
    Tasks: 2 (limit: 8164)
   Memory: 2.1M
   CGroup: /system.slice/qemu-guest-agent.service
           └─905 /usr/bin/qemu-ga --method=virtio-serial --path=/dev/virtio-ports/org.qemu.guest_agent.0 --blacklist=guest-file-open,guest-file-close,guest-file-read,guest-file->

3. remove qemu-guest-agent package
# rpm -e --nodeps qemu-guest-agent

4. check qemu-guest-agent packages
# rpm -q qemu-guest-agent
package qemu-guest-agent is not installed

5. check qemu-guest-agent service
# systemctl status qemu-guest-agent

Actual result:
● qemu-guest-agent.service
   Loaded: not-found (Reason: Unit qemu-guest-agent.service not found.)
   Active: active (running) since Thu 2020-12-22 15:57:08 CST; 34min ago
 Main PID: 905 (qemu-ga)
    Tasks: 2 (limit: 8164)
   Memory: 2.1M
   CGroup: /system.slice/qemu-guest-agent.service
           └─905 /usr/bin/qemu-ga --method=virtio-serial --path=/dev/virtio-ports/org.qemu.guest_agent.0 --blacklist=guest-file-open,guest-file-close,guest-file-read,guest-file->

Expected results:
# systemctl status qemu-guest-agent
Unit qemu-guest-agent.service could not be found.

Verified with version:
qemu-kvm-4.2.0-40.module+el8.4.0+9278+dd53883d
RHEL-8.4.0-20201229.n.0 BaseOS x86_64

Steps to verify like above
As above

Actual result:
[root@localhost ~]# systemctl status qemu-guest-agent.service 
Unit qemu-guest-agent.service could not be found.

Expected result:
qemu-guest-agent service could not be found.

Comment 8 errata-xmlrpc 2021-05-18 15:22:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1762


Note You need to log in before you can comment on or make changes to this bug.